/* change calendar icon color in input field */

input[type="date"]::-webkit-calendar-picker-indicator {
  cursor: pointer;
  border-radius: 4px;
  margin-right: 2px;
  opacity: 0.6;
  filter: invert(100%);
}

input[type="date"]::-webkit-calendar-picker-indicator:hover {
  opacity: 1;
}

/* used in AJAX to display or hide form */
.hide {
  display: none;
}

.show {
  display: block;
}

body {
  background: linear-gradient(
    259.72deg,
    #8451e8 -2.61%,
    #e488d1 54.64%,
    #ff6782 102.08%
  );
}

/* Sign Up Section */

.sign-up {
  border-radius: 20px;
  background: #383838;
  box-shadow: 0px 4px 40px #9e4373;
  padding: 3rem;
  margin: 5rem 0;
}

.sign-up h2 {
  font-weight: 800;
  margin-bottom: 1.5rem;
  text-align: center;
  color: #fff;
}

.flexing {
  margin-top: 2rem;
  display: flex !important;
  gap: 7rem;
}

.form-left {
  width: 300px;
}

.form-right {
  width: 300px;
}

.input-wrapper-register {
  position: relative;
  height: 40px;
  margin-top: 30px;
  padding: 5px 0;
  border-bottom: 2px solid #e0dfdf;
}

.input-wrapper-register > label {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: rgb(223, 223, 223);
  font-size: 18px;
  transition: transform 0.3s ease;
}

.input-wrapper-register > input {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  background: none;
  padding: 0.5rem 0.7rem;
  font-size: 1rem;
  color: rgb(209, 209, 209);
  font-family: "poppins", sans-serif;
}

.sign-up input + label {
  pointer-events: none;
}

.sign-up input:focus + label,
.sign-up input + label.focus {
  font-size: 1em;
  font-weight: 400;
  transform: translateY(-2.5em);
}

.choices ul {
  color: rgb(209, 209, 209);
  font-size: 1.1rem;
  list-style-type: none;
  display: flex;
  gap: 1rem;
  margin: 0;
  padding: 0;
}

/* Both Register and Login */

p {
  color: rgb(223, 223, 223);
}

a {
  text-decoration: none;
  color: #bc9cfc;
  transition: 0.3s;
}

a:hover {
  color: #9162ee;
}

/* login CSS */

.login-form {
  margin: 7rem 0;
  padding: 5rem 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  box-shadow: 0px 4px 40px #9e4373;
  border-radius: 20px;
  background: #383838;
}

.left-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.quote {
  text-align: center;
  font-style: italic;
  margin-top: 1rem;
  color: rgb(140, 94, 248);
}

.left-content img {
  width: 450px;
}

.right-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.right-content h2 {
  margin-bottom: 10px;
  font-weight: bold;
  color: #fff;
  text-align: center;
  line-height: 40px;
}

.login form {
  width: 360px;
}

.right-content .input-wrapper {
  position: relative;
  display: grid;
  grid-template-columns: 7% 93%;
  margin: 25px 0;
  padding: 5px 0;
  border-bottom: 2px solid #d9d9d9;
}

.i {
  color: #d9d9d9;
  display: flex;
  justify-content: center;
  align-items: center;
}

.input-wrapper > div {
  position: relative;
  height: 45px;
}

.input-wrapper > div > label {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #999;
  font-size: 18px;
  transition: transform 0.3s ease;
}

.input-wrapper > div > input {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  background: none;
  padding: 0.5rem 0.7rem;
  font-size: 1.2rem;
  color: #fff;
}

.login input + label {
  pointer-events: none;
}

.login input:focus + label,
.login input + label.focus {
  font-size: 1em;
  font-weight: 400;
  transform: translateY(-2.5em);
}

@media screen and (max-width: 1000px) {
  form {
    width: 290px;
  }

  /* Register */
  .flexing {
    flex-direction: column;
    gap: 0;
  }

  /* Login */

  .right-content h2 {
    font-size: 2rem;
    margin: 8px 0;
  }

  .doctor-img {
    width: 400px;
  }
}

@media screen and (max-width: 992px) {
  /* Register */
  .form-right .input-wrapper-register:first-child {
    margin-top: 0;
  }

  .form-right .form-left {
    width: 250px;
  }

  /* Login */
  .login-form {
    grid-template-columns: 1fr;
  }

  .left-content {
    display: none;
  }

  .right-content {
    justify-content: center;
  }
}
